#include "logviewplugin.h"

#include "logview.h"

#include <QtCore/QtPlugin>


LogViewPlugin::LogViewPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void LogViewPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool LogViewPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * LogViewPlugin::createWidget(QWidget * parent) {
	return new LogView(parent);
}


QString LogViewPlugin::name() const {
	return QLatin1String("LogView");
}


QString LogViewPlugin::group() const {
	return QLatin1String("Display Widgets");
}


QIcon LogViewPlugin::icon() const {
	return QIcon(":/icons/widgets/logview.png");
}


QString LogViewPlugin::toolTip() const {
	return QLatin1String("");
}


QString LogViewPlugin::whatsThis() const {
	return QLatin1String("");
}


bool LogViewPlugin::isContainer() const {
	return true;
}


QString LogViewPlugin::domXml() const {
	return QLatin1String("<widget class=\"LogView\" name=\"logView\">\n</widget>\n");
}


QString LogViewPlugin::includeFile() const {
	return QLatin1String("logview.h");
}
